## org.emboss.jemboss.parser
Class AcdFunResolve

    java.lang.Object
      |
      +--org.emboss.jemboss.parser.AcdFunResolve

public class AcdFunResolve
extends java.lang.Object

This is a rewrite in Java of the expression functions in ajacd.c of the EMBOSS ajax library, written by Peter Rice. Resolves any function reference in a string. Then looks for function references and resolves them.

Field Summary
`java.lang.String` `result` result as a String of the expression used in constructor

Constructor Summary
`AcdFunResolve(java.lang.String exp)`

Method Summary
`java.lang.String` `acdFunResolve(java.lang.String var)` Looks for and resolves expressions
`java.lang.String` `getResult()` Returns the value of the result of the expression.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    public java.lang.String result

  result as a String of the expression used in constructor

Constructor Detail

### AcdFunResolve

    public AcdFunResolve(java.lang.String exp)

  Parameters:
    `exp` - String with possible expression

Method Detail

### getResult

    public java.lang.String getResult()

  Returns the value of the result of the expression.
  Returns:
    result

### acdFunResolve

    public java.lang.String acdFunResolve(java.lang.String var)

  Looks for and resolves expressions
  Parameters:
    `exp` - String with possible expression
  Returns:
    result